TEXFLAGS := -halt-on-error \
	-file-line-error \
	-src-specials \
	-shell-escape \
	-interaction=nonstopmode
PYGMENTS_STYLE := colorful

default: $(TARGETS:=.pdf)

%.pdf: %.tex
	pdflatex $(TEXFLAGS) $<
	#bibtex $(<:.tex=) || true
	pdflatex $(TEXFLAGS) $<
	#pdflatex $(TEXFLAGS) $<
	rm -f $(<:.tex=.aux) $(<:.tex=.out) $(<:.tex=.log) \
		$(<:.tex=.toc) $(<:.tex=.nav) $(<:.tex=.snm) \
		$(<:.tex=.blg) $(<:.tex=.bbl) $(<:.tex=.brf)

%.pdf: %.eps
	epstopdf $<

%.pdf: %.svg
	inkscape --export-pdf=$@ $<

%.listing: % Makefile
	pygmentize -f latex -O style=$(PYGMENTS_STYLE) $< > $@

style-defs.tex: Makefile
	pygmentize -f latex -S $(PYGMENTS_STYLE) > $@

clean:
	rm -f style-defs.tex
	rm -f $(TARGETS:=.pdf) $(TARGETS:=.aux) $(TARGETS:=.out) $(TARGETS:=.log)
	rm -f $(TARGETS:=.toc) $(TARGETS:=.nav) $(TARGETS:=.snm)
	rm -f $(TARGETS:=.blg) $(TARGETS:=.bbl) $(TARGETS:=.brf)

